
Contact Form - Feature #1920

Drop "Project" field

19 Dec 2011 22:51 - Andriy Lesyuk

Status: Closed Start date: 19 Dec 2011

Priority: Minor Due date: 09 Dec 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1.0   

External issue:    

Description

Going to drop the “Project” field in the next version...

One who needs it should install the Extended Fields plugin and add custom field “Project” of the “Project” type to the contact form.

To automate this I will provide a migration script which will check if the extended fields plugin is installed or “Project” custom field type

is available and will automatically add “Project” custom field type to the contact form... That is one will just need to install the

extended fields plugin before updating and run the migration script.

Associated revisions

Revision 32 - 09 Dec 2012 22:02 - Andriy Lesyuk

Removed Project field (#1920), finished porting for Redmine 1.4.x (#2050)

History

#1 - 06 Jan 2012 14:21 - Andriy Lesyuk

- Target version set to 0.1.0

#2 - 15 Jan 2012 09:31 - Andriy Lesyuk

- Status changed from Open to Deferred

#3 - 05 Feb 2012 12:00 - Pawel Orzechowski

Maybe it will be more convinient to add an option in the settings of the plugin to turn on/off project field.

#4 - 12 Mar 2012 09:23 - Andriy Lesyuk

- Status changed from Deferred to Open

Pawel Orzechowski wrote:

Maybe it will be more convinient to add an option in the settings of the plugin to turn on/off project field.

 

This would add just another setting... Not sure if it’s good. Still planning to remove “Project” field and replace it with the extended custom field...

Of course will add a note that I did this! 
#5 - 09 Dec 2012 15:01 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 90

#6 - 09 Dec 2012 22:04 - Andriy Lesyuk

- Due date set to 09 Dec 2012

- Status changed from In Progress to Closed

- % Done changed from 90 to 100
